<?php
/**
 *  RainGraph.Ir
 */
 

/**
 *  RainGraph.Ir
 */
function of_head() { do_action( 'of_head' ); }

/**
 *  RainGraph.Ir
 */
function of_option_setup()	
{
	global $of_options, $options_machine;
	$options_machine = new Options_Machine($of_options);
		
	if (!of_get_options())
	{
		of_save_options($options_machine->Defaults);
	}
}

/**
 *  RainGraph.Ir
 */
function optionsframework_admin_message() { 
	
	//Tweaked the message on theme activate
	?>
    <script type="text/javascript">
    jQuery(function(){
    	
        var message = '<p>پوسته فعال شد . جهت راه اندازی پوسته به <a href="<?php echo admin_url('admin.php?page=theme-guide'); ?>">راهنمای پوسته</a> مراجعه کنید .</p>';
    	jQuery('.themes-php #message2').html(message);
    
    });
     </script>
    <?php
	
}

/**
 *  RainGraph.Ir
 */
function of_get_header_classes_array() 
{
	global $of_options;
	
	foreach ($of_options as $value) 
	{
		if ($value['type'] == 'heading')
			$hooks[] = str_replace(' ','',strtolower($value['name']));	
	}
	
	return $hooks;
}

/**
 *  RainGraph.Ir
 */
function of_get_options($key = null, $data = null) {

	do_action('of_get_options_before', array(
		'key'=>$key, 'data'=>$data
	));
	if ($key != null) { // Get one specific value

		$data = get_theme_mod($key, $data);
	} else { // Get all values
		$data = get_theme_mods();		
	}
	$data = apply_filters('of_options_after_load', $data);
	do_action('of_option_setup_before', array(
		'key'=>$key, 'data'=>$data
	));
	return $data;

}

/**
 *  RainGraph.Ir
 */

function of_save_options($data, $key = null) {
	global $smof_data;
    if (empty($data))
        return;	
    do_action('of_save_options_before', array(
		'key'=>$key, 'data'=>$data
	));
	$data = apply_filters('of_options_before_save', $data);
	if ($key != null) { // Update one specific value
		if ($key == BACKUPS) {
			unset($data['smof_init']); // Don't want to change this.
		}
		set_theme_mod($key, $data);
	} else { // Update all values in $data
		foreach ( $data as $k=>$v ) {
			if (!isset($smof_data[$k]) || $smof_data[$k] != $v) { // Only write to the DB when we need to
				set_theme_mod($k, $v);
			}
	  	}
	}
    do_action('of_save_options_after', array(
		'key'=>$key, 'data'=>$data
	));

}


/**
 *  RainGraph.Ir
 */

$data = of_get_options();
$smof_data = of_get_options();
$data = $smof_data;